/*
 * @Author: gyq
 * @Date: 2022-02-18 12:27:55
 * @LastEditTime: 2022-02-21 15:06:30
 * @LastEditors: your name
 * @Description: 
 * @FilePath: \assets\video.js
 */
$(function(){
    webveiwFuns.ready(function(){
        initVideoOp();
    })
    // 初始化视频操作
    function initVideoOp(){
        console.log(RE);
        // 设置视频盒子
        function setVideoBox(vdom){
            // 点击禁止编辑
            $("#editor").removeAttr('contenteditable');
            var $box = vdom.parent('[data-node="videoBox"]');
            if(!$box.length){
                return;
            }
            var $deleteBtn = $box.find('.delete');
            var $editPosterBtn = $box.find('.editposter');
            if(!$deleteBtn.length){
                $box.append('<span class="delete"></span>');
                $deleteBtn = $box.find('.delete');
            }
            if(!$editPosterBtn.length){
                $box.append('<span class="editposter">编辑封面</span>');
                $editPosterBtn = $box.find('.editposter');
            }
            $box.attr('tabindex', '-1');
            $box.trigger('focus');
        }
        // 点击视频区域
        $('#editor').on('click', '.is_video', function touchVideo(){
            var $this = $(this);
            // 设置视频盒子
            setVideoBox($this);
        });
        // 视频容器获取焦点
        $('#editor').on('focus','[data-node="videoBox"]', function(){
            console.log('video box focus');
            $(this).addClass('active');
        })
        // 视频容器失去焦点
        $('#editor').on('blur','[data-node="videoBox"]',function(){
            console.log('video box blur');
            $("#editor").attr('contenteditable', 'true');
            $(this).removeAttr('tabindex').removeClass('active').find('.delete, .editposter').remove();
        })
        // 点击播放视频按钮
        $('#editor').on('click','[data-node="videoBox"] .play', function(e){
            console.log('播放视频');
            var $box = $(this).parent('[data-node="videoBox"]');
            var vurl = $box.find('video').attr('src');
            // 播放视频客户端交互
            toNativeMes({
                action: 4,
                data: {
                    actionId: 19,
                    video: vurl
                }
            });
        })
        // 删除图片
        $('#editor').on('click','[data-node="videoBox"] .delete', function(){
            console.log('删除视频');
            var $this = $(this);
            toNativeMes({
                action:22,
                data:{
                    title:"确定删除视频吗？"
                },
                success:function(res){
                    if(res){
                        $this.parent('[data-node="videoBox"]').remove();
                        // 允许编辑
                        $("#editor").attr('contenteditable', 'true');
                        RE.backuprange();
                        RE.callback();
                    }
                }
            });

        })
        // 编辑封面
        $('#editor').on('click','[data-node="videoBox"] .editposter', function(){
            console.log('编辑封面');
            var $box = $(this).parent('[data-node="videoBox"]');
            var videourl = $box.find('video').attr('src');
            toNativeMes({
                action: 21,
                data: {
                    actionId: 1,
                    vurl: videourl
                },
                success: function(res){
                    doChangeVideoPoster(res.vurl, res.poster,res.params)
                }
            });
        })
        // 更换封面
        window.doChangeVideoPoster = function(vurl, poster,params){
            var $curVideo = $('#editor').find('video.is_video[src="'+vurl+'"]');
            $curVideo.attr('poster', poster);
            $curVideo.attr('params',params);
            RE.callback();
        }
    }
})